/* Fimobile custom css @ Fimobile @maxartkiller.com */
/* ==============================================
=================================================

[ Table of content ]
-------------------------------------
1. Basic 
2. primary colors
3. sidebar
4. bread crumb
5. Loader css
6. swiper slider css
7. form elements
8. button
9. input group
10. h group 
11. heights
12. top
13. bottom
14. popover
15. Notifications
16. List items
17. Nav tabs
18. card
19. header
20. footer
21. page specific
22. siders
23. Rules for sizing the icon
24. progress bar
25. avatar
26. theme color

=================================================
=================================================*/

/* basic */

a:hover, a:focus {
    text-decoration: none;
    color: #2c72b8;
}
html {
    height: 100%;
}

@media (min-width: 992px) {
    .container {
        width: 600px;
    }
    .m_body {
        position: relative;
    }
}



body {
    min-height: 100%;
    height: auto;
    overflow-y: auto;
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    line-height: 22px;
    -webkit-overflow-scrolling: touch;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin: 0 auto;
}


.modal-footer>*:not(.col){
    margin: 0;
}
/* primary colors */
.bg-none {
    background-color: transparent
}

.bg-primary,
.badge-primary {
    background-color: #0D76FF !important
}

.text-primary {
    color: #0D76FF !important
}

.text-secondary {
    color: #666666 !important;
}

.text-default {
    color: #FF0068 !important
}

.text-info {
    color: #5ED0FB !important
}

.text-danger {
    color: #F16060 !important
}

.bg-primary-light {
    background-color: #CEE3FF !important
}

.bg-success,
.badge-success {
    background-color: #00BE7D !important
}

.text-success {
    color: #00BE7D !important
}

.bg-succss-light {
    background-color: #C0E9DB !important
}

.bg-warning,
.badge-warning {
    background-color: #FFC400 !important
}

.text-warning {
    color: #FFC400 !important
}

.bg-warning-light {
    background-color: #FFF0C1 !important
}

.bg-orange,
.badge-orange {
    background-color: #FF6F00 !important
}

h5 .badge {
    font-size: 50%
}

.bg-orange-light {
    background-color: #FFE5D1 !important
}

.bg-grey,
.badge-grey {
    background-color: #999999 !important
}

.bg-grey-light {
    background-color: #BBBBBB !important
}

.text-white a {
    color: #ffffff !important
}

.row.proh {
    position: relative;
    overflow-x: hidden;
}

.text-mute {
    opacity: 0.7;
}

.wrapper {
    height: auto;
    width: 100%;
    position: relative;
    transition: all ease 0.5s;
    -webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    -ms-transition: all ease 0.5s;
    margin-left: 0;
    z-index: 1;
    min-height: 100vh;
    padding-bottom: 80px;
}

p.small {
    line-height: 1.45em;
}

p:last-child {
    margin-bottom: 0;
}

sup {
    top: -.2em;
}

.background {
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    position: absolute;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    opacity: 0.4;
    z-index: 0;
}

.background + div {
    position: relative;
    z-index: 1
}

.hidden {
    display: none;
}

.bottom-button-container {
    position: fixed !important;
}

.isDisabled {
    color: currentColor;
    cursor: not-allowed;
    opacity: 0.5;
    text-decoration: none;
    pointer-events: none;
}

.mx-0 {
    margin-left: auto !important;
    margin-right: auto !important;
    max-width: 500px;
}


/* form elements */
.form-control {
    background: #ffffff;
    border-radius: 40px;
    border: 1px solid rgba(0, 0, 0, 0.08);
}

select.form-control option,
select.form-control optgroup {
    color: #000000
}

.form-control:focus {
    box-shadow: none;
    -ms-box-shadow: none;
}

.form-control::placeholder {
    color: #bbbbbb;
}

.float-label {
    padding-top: 20px;
    position: relative;
}

.form-group .form-control-label {
    font-size: 13px;
    line-height: 18px;
    color: #BBBBBB;
}

.float-label .form-control-label {
    position: absolute;
    left: 15px;
    top: 28px;
    margin: 0;
    line-height: 20px;
    color: #BBBBBB;
    font-size: 15px;
    transition: ease all 0.5s;
    -webkit-transition: ease all 0.5s;
    -ms-transition: ease all 0.5s;
    -moz-transition: ease all 0.5s;
    z-index: 1;
}

.float-label .form-control,
.float-label .chosen-container .chosen-choices,
.float-label .chosen-container .chosen-single {
    background-color: #ffffff;
    border-radius: 20px;
    z-index: 1;
    position: relative;
    background-image: none;
}

.float-label .form-control:focus {
    border-width: 1px solid rgba(0, 0, 0, 0.05);
    box-shadow: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    -ms-box-shadow: none;
    outline: none;
}

.form-control-lg {
    font-size: 18px;
}

.float-label .form-control-lg + .form-control-label {
    top: 32px;
}

.float-label .form-control-lg:focus + .form-control-label,
.float-label.active .form-control-lg + .form-control-label,
.float-label .form-control:focus + .form-control-label,
.float-label.active label {
    top: 0;
    font-size: 13px;
    line-height: 20px;
}

.form-group {
    margin-bottom: 0.5rem;
}


.search {
    border-radius: 30px;
    background: url('../img/search.png') no-repeat center right #fff;
}

.chosen-container-active .chosen-choices,
.chosen-container .chosen-single,
.chosen-container-active.chosen-with-drop .chosen-single {
    box-shadow: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    -ms-box-shadow: none;
}

.chosen-container-multi .chosen-choices,
.chosen-container .chosen-single {
    padding: 5px;
    height: auto;
    border-color: #ced4da;
}

.chosen-container-multi .chosen-choices li.search-choice,
.chosen-container .chosen-single li.search-choice {
    position: relative;
    padding: 5px 25px 5px 15px;
    line-height: 18px;
    border: 0px none;
    border-radius: 30px;
    background-image: none;
    background-color: rgba(255, 255, 255, 0.5);
    box-shadow: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    -ms-box-shadow: none;
    outline: none;
}

.chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
    top: 8px;
    right: 6px;
    width: 12px;
    height: 12px;
    border-radius: 20px;
    padding: 5px;
}

.chosen-container.chosen-with-drop .chosen-drop {
    border: 0;
}

.chosen-container .chosen-results li.highlighted {
    background-image: none;
}

/* button */
.btn {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: normal;
    border-width: 0;
}

[class*="outline"] {
    border-width: 1px;
}

body a.btn-primary,
body a.btn-warning,
body a.btn-danger,
body a.btn-success {
    color: #ffffff;
}

.btn-lg {
    padding: .815rem 1.5rem;
}

.btn-sm {
    font-size: 14px;
}

.btn i,
.btn span,
a i {
    vertical-align: middle
}

.btn img {
    max-width: 20px;
    vertical-align: middle;
}

.btn:focus {
    box-shadow: none;
    -ms-box-shadow: none;
}

.btn i:first-child {
    margin-right: 5px;
    margin-left: -4px;
}

.btn i:last-child {
    margin-left: 5px;
    margin-right: -4px;
}

.btn i:last-child:first-child {
    margin-left: 0px;
    margin-right: 0px;
}

.btn-rounded-54 {
    height: 54px;
    width: 54px;
    line-height: 50px;
    vertical-align: middle;
    text-align: center;
    padding: 0;
    border-radius: 28px;
}

.btn-rounded-36 {
    height: 36px;
    width: 36px;
    line-height: 32px;
    vertical-align: middle;
    text-align: center;
    padding: 0;
    border-radius: 28px;
}


.btn-rounded-40 {
    height: 40px;
    width: 40px;
    line-height: 32px;
    vertical-align: middle;
    text-align: center;
    padding: 0;
    border-radius: 28px;
}

.btn-rounded-26 {
    height: 26px;
    width: 26px;
    line-height: 22px;
    vertical-align: middle;
    text-align: center;
    padding: 0;
    border-radius: 13px;
}

.float-bottom-right {
    position: absolute;
    right: 15px;
    bottom: 15px;
    z-index: 2;
    margin-bottom: env(safe-area-inset-bottom);
}

.float-bottom-right.stylepicker {
    position: fixed;
    right: 15px;
    bottom: 20px;
    z-index: 1002
}

.btn-rounded {
    border-radius: 30px;
}

.btn-rounded-10 {
    border-radius: 10px;
}

.btn-rounded-15 {
    border-radius: 15px;
}

.btn-default,
body .btn.btn-secondary {
    color: #ffffff
}

.btn-warning {
    background-color: #FFC400;
    color: #ffffff;
}

.btn-warning:focus,
.btn-warning:active,
.btn-warning:hover {
    background-color: #f0b000;
    color: #ffffff !important;
}

.btn.btn-link-default {
    color: #bbbbbb;
}

.shadow-sm {
    box-shadow: 0 .1rem .25rem rgba(0, 0, 0, .05) !important;
    -webkit-box-shadow: 0 .1rem .25rem rgba(0, 0, 0, .05) !important;
    -moz-box-shadow: 0 .1rem .25rem rgba(0, 0, 0, .05) !important;
    -ms-box-shadow: 0 .1rem .25rem rgba(0, 0, 0, .05) !important;
}

.btn.shadow-sm {
    box-shadow: 0 .1rem .2rem rgba(0, 0, 0, .2) !important;
    -webkit-box-shadow: 0 .1rem .2rem rgba(0, 0, 0, .2) !important;
    -moz-box-shadow: 0 .1rem .2rem rgba(0, 0, 0, .2) !important;
    -ms-box-shadow: 0 .1rem .2rem rgba(0, 0, 0, .2) !important;
}

.btn.shadow-xs {
    box-shadow: 0 .15rem .3rem rgba(0, 0, 0, .1) !important;
    -webkit-box-shadow: 0 .15rem .3rem rgba(0, 0, 0, .1) !important;
    -moz-box-shadow: 0 .15rem .3rem rgba(0, 0, 0, .1) !important;
    -ms-box-shadow: 0 .15rem .3rem rgba(0, 0, 0, .1) !important;
}

.btn-light,
body a.btn-light {
    background-color: #ffffff;
    color: #999999;
}

.btn-light-grey,
body a.btn-light-grey {
    background-color: #E3EAF1;
    color: #BBBBBB;
    border-color: #F3F6F8
}

.btn-group > .btn:first-child,
.btn-group > .btn:first-of-type,
.btn-group > .btn-group:first-child > .btn {
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
}

.btn-group > .btn:last-child,
.btn-group > .btn:last-of-type,
.btn-group > .btn-group:last-child > .btn {
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}


.btn h6,
.btn h5,
.btn h4,
.btn h3,
.btn h2,
.btn h1 {
    vertical-align: middle
}

.vm {
    vertical-align: middle
}

.shadow {
    box-shadow: 0 .3rem 0.6rem rgba(0, 0, 0, .1) !important;
    -webkit-box-shadow: 0 .3rem 0.6rem rgba(0, 0, 0, .1) !important;
    -moz-box-shadow: 0 .3rem 0.6rem rgba(0, 0, 0, .1) !important;
    -ms-box-shadow: 0 .3rem 0.6rem rgba(0, 0, 0, .1) !important;
}


/* h group  */
h1 {
    font-size: 40px;
}

h2 {
    font-size: 35px;
}

h3 {
    font-size: 30px;
}

h4 {
    font-size: 25px;
}

h5 {
    font-size: 20px;
}

/* heights  */
.h-2 {
    height: 2px;
}

.h-4 {
    height: 4px;
}

.h-6 {
    height: 6px;
}

.h-8 {
    height: 8px;
}

.h-10 {
    height: 10px;
}

.h-100px {
    height: 100px;
}

.h-150 {
    height: 150px;
}

.h-200 {
    height: 200px;
}

.h-190 {
    height: 190px;
}

.h-250 {
    height: 250px;
}

/* top  */
.top-30 {
    margin-top: -30px;
}

.top-50 {
    margin-top: -50px;
}

.top-100 {
    margin-top: -100px;
}

.top-150 {
    margin-top: -150px;
}

.top-200 {
    margin-top: -200px;
}

/* bottom  */
.bottom-15 {
    position: relative;
    bottom: -15px;
}

.bottom-20 {
    position: relative;
    bottom: -20px;
}

.bottom-40 {
    position: relative;
    bottom: -40px;
}

.bottom-50 {
    position: relative;
    bottom: -50px;
}

.z-1 {
    z-index: 1
}

.z-0 {
    z-index: 0
}

/* popover  */
.popover {
    border: 0;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.10);
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.10);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.10);
    -ms-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.10);
}

/* Notifications  */
.new-notification {
    height: 10px;
    width: 10px;
    border-radius: 6px;
    background-color: #FF0068;
    display: block;
    position: absolute;
    top: 23px;
    right: 5px;
    border: 2px solid rgba(255, 255, 255, 0.75);
}

.counts {
    height: 16px;
    width: 16px;
    border-radius: 10px;
    background-color: #FF0068;
    display: block;
    position: absolute;
    top: 12px;
    right: 12px;
    font-size: 10px;
    color: #ffffff;
    text-align: center;
    line-height: 16px;
    vertical-align: middle;
}


/* Notification */
.notification {
    padding: 15px;
    background-color: #ffffff;
    position: fixed;
    top: -30%;
    width: 84%;
    max-width: 400px;
    margin: 0 auto;
    left: 0;
    right: 0;
    border-left-width: 3px;
    border-left-style: solid;
    z-index: 10;
    transition: all ease 0.5s;
    -webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    -ms-transition: all ease 0.5s;
    border-radius: 5px;
    overflow: hidden;
}

.notification.active {
    top: 30px;
    opacity: 1;

}

.notification.bottom {
    bottom: -30%;
    opacity: 0;
    top: auto;
}

.notification.bottom.active {
    bottom: 30px;
    opacity: 1;

}

/* theme color  */

/* lightblue theme */
.lightblue-theme .bg-background,
.lightblue-theme .header.active {
    background-color: rgba(255, 255, 255, 0.8)
}

.lightblue-theme .wrapper {
    background: #fff;
    background: -moz-linear-gradient(top, #fff 0%, #ffffff 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(0%, #fff), color-stop(100%, #ffffff));
    background: -webkit-linear-gradient(top, #fff 0%, #ffffff 100%);
    background: -o-linear-gradient(top, #fff 0%, #ffffff 100%);
    background: -ms-linear-gradient(top, #fff 0%, #ffffff 100%);
    background: linear-gradient(to bottom, #fff 0%, #ffffff 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff', endColorstr='#ffffff', GradientType=0);
    background-attachment: fixed;
    background-position: center top;
    background-size: 100% 100%;
}

.lightblue-theme body,
.lightblue-theme body.sidemenu-open {
    background: #2c72b8;
}

.lightblue-theme-bg,
.lightblue-theme .bg-template,
.lightblue-theme .loader-screen {
    background: #2c72b8;
    background: -moz-linear-gradient(-45deg, #17c0ff 0%, #2c72b8 100%);
    background: -webkit-gradient(left top, right bottom, color-stop(0%, #17c0ff), color-stop(100%, #2c72b8));
    background: -webkit-linear-gradient(-45deg, #17c0ff 0%, #2c72b8 100%);
    background: -o-linear-gradient(-45deg, #17c0ff 0%, #2c72b8 100%);
    background: -ms-linear-gradient(-45deg, #17c0ff 0%, #2c72b8 100%);
    background: linear-gradient(135deg, #17c0ff 0%, #2c72b8 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#17c0ff', endColorstr='#2c72b8', GradientType=1);
}


.lightblue-theme .btn-default,
.lightblue-theme .custom-control-input:checked ~ .custom-control-label::before,
.lightblue-theme .small-slide .swiper-slide .card:hover,
.lightblue-theme .small-slide .swiper-slide .card:focus,
.lightblue-theme .filter,
.lightblue-theme .chosen-container .chosen-results li.highlighted,
.lightblue-theme .page-item.active .page-link,
.lightblue-theme .nav-pills .nav-link.active,
.lightblue-theme .nav-pills .show > .nav-link,
.lightblue-theme .footer .btn i:after {
    background-color: #0073d6;
}

.lightblue-theme .bg-template,
.lightblue-theme .icons-raised,
.lightblue-theme .filter,
.lightblue-theme .filter .form-control,
.lightblue-theme .filter .form-group label,
.lightblue-theme .float-label .chosen-container-multi .chosen-choices,
.lightblue-theme .float-label .chosen-container-multi .chosen-choices li.search-field input[type=text],
.lightblue-theme .filter .chosen-container-multi .chosen-choices li.search-choice,
.lightblue-theme .btn-default,
.lightblue-theme .sidebar,
.lightblue-theme .sidebar .main-menu .list-group-item,
.lightblue-theme .small-slide .swiper-slide .card:hover *,
.lightblue-theme .small-slide .swiper-slide .card:focus *,
.lightblue-theme .sidebar .list-group-item.active:hover * {
    color: #ffff !important;
}

.lightblue-theme .filter .form-group label {
    opacity: 0.85;
}

.lightblue-theme .btn-default:hover,
.lightblue-theme .btn-default:focus {
    color: #ffffff;
    background-color: #005cac;
}

.lightblue-theme .figure-profile,
.lightblue-theme .form-control:focus,
.lightblue-theme .custom-control-input:focus ~ .custom-control-label::before,
.lightblue-theme .custom-control-input:checked ~ .custom-control-label::before,
.lightblue-theme .float-label .form-control:focus,
.lightblue-theme .page-item.active .page-link,
.lightblue-theme .btn-outline-default {
    border-color: #0073d6
}


.lightblue-theme .filter .form-control:focus,
.lightblue-theme .filter .custom-control-input:focus ~ .custom-control-label::before,
.lightblue-theme .filter .custom-control-input:checked ~ .custom-control-label::before,
.lightblue-theme .filter .float-label .form-control:focus {
    border-color: #ffffff
}

.lightblue-theme .custom-control-input:focus ~ .custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(255, 0, 104, 0.3);
}

.lightblue-theme .btn-light:hover,
.lightblue-theme .btn-light:focus,
.lightblue-theme .btn-light:not(:disabled):not(.disabled).active,
.lightblue-theme .bg-template-light {
    background-color: #c7dcef
}


.lightblue-theme .text-template,
.lightblue-theme .btn-link,
.lightblue-theme a,
.lightblue-theme .float-label .form-control:focus + .form-control-label,
.lightblue-theme .btn-light:hover,
.lightblue-theme .btn-light:focus,
.lightblue-theme .btn-light:not(:disabled):not(.disabled).active,
.lightblue-theme .btn.btn-link-default:hover,
.lightblue-theme .btn.btn-link-default:focus,
.lightblue-theme .btn.btn-link-default.active {
    color: #0073d6;
}


.lightblue-theme .bg-warning,
.lightblue-theme .badge-warning {
    background-color: #FFBB00 !important;
}

.lightblue-theme .bg-success,
.lightblue-theme .badge-success {
    background-color: #00BB32 !important;
}

.lightblue-theme .bg-danger,
.lightblue-theme .badge-danger {
    background-color: #F16060 !important;
}

.lightblue-theme .bg-orange,
.lightblue-theme .badge-orange {
    background-color: #ff9133 !important;
}

.lightblue-theme .bg-primary,
.lightblue-theme .badge-primary {
    background-color: #1E88FF !important;
}

.lightblue-theme .bg-info,
.lightblue-theme .badge-info {
    background-color: #5ED0FB !important;
}


.bottom-button-container {
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
}


/* media query */

@media screen and (max-width:374px) {
    .footer .btn {
        width: 50px;
    }

    .icons-raised {
        height: 40px;
        width: 40px;
        line-height: 40px;
    }

    .sidebar .main-menu .list-group-item {
        margin-bottom: 10px;
    }

    .two-slide figure.avatar {
        display: none
    }

    .introduction .swiper-slide img {
        max-width: 60% !important
    }
}


/* Chrome safari scrollbar */
::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}

::-webkit-scrollbar-thumb {
    -webkit-border-radius: 5px;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.5);
}

::-webkit-scrollbar-track {
    border-radius: 5px;
    background: rgba(230, 230, 230, 0.4);
}


 .loading {
            border: 10px solid #f3f3f3;
            border-radius: 50%;
            border-top: 10px solid #3498db;
            width: 10px;
            height: 10px;
            -webkit-animation: spin 2s linear infinite;
            animation: spin 2s linear infinite;
            display: inline-block;
            margin-right: 30px;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }